Skip to content

Update event translation ​

PUT
/v1/event-translations/{event_id}/{language}

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

event_id*

XS2event ID of the Event

Type
string
Required
language*

Language code (e.g., en, nl, de)

Type
string
Required

Request Body​

application/json
JSON
{
  
"translated_event_name": "Arsenal FC vs Luton Town",
  
"translated_event_description": "Top of the table clash in London."
}

Responses​

OK

application/json
JSON
{
  
"event_id": "5d3b8b1c916f4a158dc736dc8ef7c97a_evt",
  
"language": "en",
  
"translated_event_name": "Arsenal FC vs Luton Town",
  
"translated_slug": "arsenal-fc-vs-luton-town",
  
"translated_event_description": "Top of the table clash in London."
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​